package com.bocloud.ims.interfaces.resource;

import com.bocloud.cmp.model.VmTagParam;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.ims.entity.resource.Tag;

public interface TagService {

	/**
	 * 列表展示
	 *
	 * @param pager
	 * @return
	 */
	BocloudResult<GridBean<Tag>> list(Pager pager);

	/**
	 * 创建
	 *
	 * @return
	 */
	BocloudResult create(VmTagParam vmTagParam);

	/**
	 * 删除
	 *
	 * @return
	 */
	BocloudResult remove(Long id);

}
